API referenceRead API
List Events
Custom events of the period by name (session_start and session_end are not custom events and are not listed), events DESC, name ASC, at most 500 names; `truncated` is true when there were more.
GET
Custom events of the period by name (session_start and session_end are not custom events and are not listed), events DESC, name ASC, at most 500 names; truncated is true when there were more.
header
AuthorizationBearer <token>Read API key. The scope an operation requires is given in x-required-scope (read | delete).
app_id*stringFormat
uuidfrom*stringFormat
dateto*stringFormat
datecompare?stringDefault
"previous_period"Value in
"previous_period""none"environment?stringDefault
"production"Value in
"production""development"unit?stringDefault
"persons"Value in
"persons""installs"platform?array<>app_version?array<>os_name?array<>country?array<>Custom events by name
application/json- response
events*array<>truncated*booleanThere were more names than the 500 returned
curl -X GET 'https://api.appmetrica.online/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/events?from=2019-08-24&to=2019-08-24'{ "events": [ { "name": "string", "events": 0, "people": 0, "prev_events": 0, "prev_people": 0 } ], "truncated": true}